package com.yanzhu.jh.project.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 项目考勤配置对象 sur_project_attendance_cfg
 * 
 * @author ruoyi
 * @date 2023-09-24
 */
public class SurProjectAttendanceCfg extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** 项目编号 */
    @Excel(name = "项目编号")
    private Long projectId;

    /** 总包单位 */
    @Excel(name = "总包单位")
    private Long subDeptId;

    /** 厂商编号参考字典attendance_vendors */
    @Excel(name = "厂商编号参考字典attendance_vendors")
    private String vendorsCode;

    /** 厂商参数 */
    @Excel(name = "厂商参数")
    private String vendorsParameter;

    /** 1-启用,0-停用 */
    @Excel(name = "1-启用,0-停用")
    private Long enabled;

    /** 状态 */
    @Excel(name = "状态")
    private Long state;


    private String projectName;
    private String unitName;

    private String vendorName;

    public String getVendorName() {
        return vendorName;
    }

    public void setVendorName(String vendorName) {
        this.vendorName = vendorName;
    }

    public String getProjectName() {
        return projectName;
    }

    public void setProjectName(String projectName) {
        this.projectName = projectName;
    }

    public String getUnitName() {
        return unitName;
    }

    public void setUnitName(String unitName) {
        this.unitName = unitName;
    }

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private Long isDel;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setProjectId(Long projectId) 
    {
        this.projectId = projectId;
    }

    public Long getProjectId() 
    {
        return projectId;
    }
    public void setSubDeptId(Long subDeptId) 
    {
        this.subDeptId = subDeptId;
    }

    public Long getSubDeptId() 
    {
        return subDeptId;
    }
    public void setVendorsCode(String vendorsCode) 
    {
        this.vendorsCode = vendorsCode;
    }

    public String getVendorsCode() 
    {
        return vendorsCode;
    }
    public void setVendorsParameter(String vendorsParameter) 
    {
        this.vendorsParameter = vendorsParameter;
    }

    public String getVendorsParameter() 
    {
        return vendorsParameter;
    }
    public void setEnabled(Long enabled) 
    {
        this.enabled = enabled;
    }

    public Long getEnabled() 
    {
        return enabled;
    }
    public void setState(Long state) 
    {
        this.state = state;
    }

    public Long getState() 
    {
        return state;
    }
    public void setIsDel(Long isDel) 
    {
        this.isDel = isDel;
    }

    public Long getIsDel() 
    {
        return isDel;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("projectId", getProjectId())
            .append("subDeptId", getSubDeptId())
            .append("vendorsCode", getVendorsCode())
            .append("vendorsParameter", getVendorsParameter())
            .append("enabled", getEnabled())
            .append("state", getState())
            .append("remark", getRemark())
            .append("isDel", getIsDel())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
